Loading...
Searching...
No Matches
TrcTypes Class Reference

Types specific to this module. More...

## Public Types

enum | E_TrackColorMode { CM_UNKNOWN , CM_TRACK , CM_POINTS , CM_TRACKSET , CM_ERROR }
| Tractography coloring modes. More...
enum | E_TrackSetLaterality { LAT_UNKNOWN , LAT_ERROR , LAT_LEFT , LAT_RIGHT , LAT_RIGHT_AND_LEFT , LAT_UNILATERAL }
| Tractography Track Set laterality types. More...

## Detailed Description

Types specific to this module.

## Member Enumeration Documentation

## E_TrackColorMode

enum TrcTypes::E_TrackColorMode

Tractography coloring modes.

Enumerator
CM_UNKNOWN | Unknown (default value if not initialized).
CM_TRACK | Recommended CIELab value is provided as one color per track.
CM_POINTS | Recommended CIELab values are provided as separate colors for each point within track.
CM_TRACKSET | Recommended CIELab value is provided per track set and not for single tracks. Is returned from Trackset if corresponding CIELab attribute is set, and by Tracks whose CIELab attributes are not provided at all
CM_ERROR | Erroneous setting of color mode, i.e. Recommended CIELab Value or Recommended CIELab Value List are both set or wrongly set on a track

## E_TrackSetLaterality

enum TrcTypes::E_TrackSetLaterality

Tractography Track Set laterality types.

Laterality of (paired) body part examined.

Enumerator
LAT_UNKNOWN | Unknown (default value if not initialized).
LAT_ERROR | Error: In case an invalid value is used.
LAT_LEFT | Left body part.
LAT_RIGHT | Right body part.
LAT_RIGHT_AND_LEFT | Left and right body part.
LAT_UNILATERAL | Either left or right body part.

The documentation for this class was generated from the following file:

- dcmtract/include/dcmtk/dcmtract/trctypes.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0